How to show week number in React Calendar

04 Sep 20262 minutes to read

Enable week numbers in the React Calendar by setting the weekNumber property to true. By default, week numbers are calculated using the ISO-8601 rule, where week 1 is the week containing the first Thursday of the year.

API

Property Type Default Description
weekNumber Boolean false Displays week numbers in a leading column of the React Calendar.
weekRule WeekRule (FirstDay | FirstFullWeek | FirstFourDayWeek) FirstFourDayWeek (ISO-8601) Defines how the first week of the year is determined.

The following example demonstrates the React Calendar with week numbers enabled.

// import the calendarcomponent
import { CalendarComponent } from '@syncfusion/ej2-react-calendars';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class App extends React.Component {
    render() {
        return <CalendarComponent id="calendar" weekNumber={true}/>;
    }
}
;
ReactDOM.render(<App />, document.getElementById('element'));
// import the calendarcomponent
import { CalendarComponent} from '@syncfusion/ej2-react-calendars';
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class App extends React.Component<{}, {}> {
    public render() {
        return <CalendarComponent id="calendar" weekNumber={true} />
    }
};
ReactDOM.render(<App />, document.getElementById('element'));

How to show week numbers in Vue Calendar

03 Sep 20262 minutes to read

You can enable weekNumber in the Calendar by using the weekNumber property. This displays the week-of-year numbers in a leading column of the Calendar. The default value is false.

<template>
  <div id="app">
    <div class='wrap'>
      <ejs-calendar id='calendar' :weekNumber='weeknumber'></ejs-calendar>
    </div>
  </div>
</template>
<script setup>

import { CalendarComponent as EjsCalendar } from '@syncfusion/ej2-vue-calendars';

const weeknumber = true;

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrap {
  margin: 0px auto;
  max-width: 250px;
}
</style>
<template>
  <div id="app">
    <div class='wrap'>
      <ejs-calendar id='calendar' :weekNumber='weeknumber'></ejs-calendar>
    </div>
  </div>
</template>
<script>

import { CalendarComponent } from "@syncfusion/ej2-vue-calendars";


export default {
  name: "App",
  components: {
    'ejs-calendar': CalendarComponent
  },
  data() {
    return {
      weeknumber: true
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-calendars/styles/material.css";

.wrap {
  margin: 0px auto;
  max-width: 250px;
}
</style>

How to render the Calendar with week numbers in Angular Calendar

25 Sep 20261 minute to read

You can display weekNumber in the Angular Calendar by setting the weekNumber property to true.

When week numbers are enabled, an additional column is displayed alongside the Angular Calendar dates, showing the corresponding weekNumber for each week.

The following example demonstrates how to render the Angular Calendar with weekNumber.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CalendarModule } from '@syncfusion/ej2-angular-calendars'




import { Component } from '@angular/core';

@Component({
imports: [
        
        CalendarModule //declaration of ej2-angular-calendars module into NgModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
        <!-- Sets the weekNumber -->
        <ejs-calendar [value]='dateValue' weekNumber='true'></ejs-calendar>
        `
})

export class AppComponent {
    public dateValue: Date = new Date();
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent).catch((err) => console.error(err));